import java.applet.*;
import java.awt.*;
import java.net.*;

public class EditAndGo extends Applet
{
  TextField txtfURL;
  Button btnGo;
  
  // ===========================================
  // init
  // ===========================================
  public void init()
  {
    txtfURL = new TextField("http://", 35);
    btnGo = new Button("Go!");
    
    add(txtfURL);
    add(btnGo);
    
    setBackground(Color.yellow);
  }

  // ===========================================
  // getAppletInfo
  // ===========================================
  public String getAppletInfo()
  {
    return "Name: EditAndGo";
  }
  
  // ===========================================
  // action
  // ===========================================
  public boolean action(Event evt, Object obj)
  {
    if(evt.target instanceof Button)
    {
      if(evt.target.equals(btnGo))
      {
	goURL(txtfURL.getText());
	return true;
      }
    }
    return false;
  }  
  
  // ===========================================
  // goURL
  // ===========================================
  public void goURL(String szURL)
  {
    if(szURL != null)
    {
      URL url = null;
      AppletContext appletContext;
      appletContext = getAppletContext();

      try
      {
        url = new URL(szURL);
      }
      catch (MalformedURLException e) { }

      if (url != null)
      {
        appletContext.showDocument(url, "_self");
      }
    }
  }
}

